Withdrawal-Send
Withdrawal - Send Withdrawal Request
This API is used to withdraw money from sadad account The withdraw request will be created and amount will be deducted from sadad account If request is successful then details will be provided in response
Withdrawal request status description
- IN PROGRESS
- REJECTED
- REQUESTED
- ON HOLD
- APPROVED
- CANCELLED
- POST
https://api-sandbox.sadad.qa/api//withdrawalrequests/sendWithdrawalRequest
Permission: Merchant
- Example usage:
curl -d '{"sadadId": 9288463, "message": "some text", "amount": 150}' -H "Content-Type: application/json" -H "Authorization: {ACCESS_TOKEN}" -X POST https://api-sandbox.sadad.qa/api/withdrawalrequests/sendWithdrawalRequest
Header
| Field | Type | Description |
|---|---|---|
| Authorization | String | User's unique access-token. |
- Header-Example:
{
"Authorization": "BN79o6YNrY4IPP60UF4JmNEM6O8hX9HVUq0e0HWNyo2tt1jqCT9IWnXSBhfr7Mws"
}
Parameter
| Field | Type | Description |
|---|---|---|
| sadadId | Number | The Merchant's SadadId. |
| message ( optional) | String | The message for withdrawal. |
| amount | Number | The amount to be withdraw. |
- Request-Example:
{
"sadadId": 9288463,
"message": "some text",
"amount": 150
}
Success 200
| Field | Type | Description |
|---|---|---|
| amount | Number | Withdrawned amount. |
| message | String | Withdrawal message. |
| withdrawnumber | String | Withdrawal number |
| withdrawalrequeststatusId | Number | Status Id of request. |
| generatedby | String | By whom this request is generated. |
| id | Number | Id of request data. |
| date | String | Date of request. |
| withdrawalrequeststatus | Object | Description of status. |
- Success-Response:
{
"amount": 10,
"message": "Withdraw request test",
"withdrawnumber": "SD8XXXXXXXXXXX9",
"withdrawalrequeststatusId": 3,
"generatedby": "user",
"id": 6395,
"date": "2021-01-29",
"withdrawalrequeststatus": {
"name": "REQUESTED",
"id": 3
}
}
Error 4xx
| Field | Description |
|---|---|
| 401 | Authorization Required |
| 400 | Please provide data |
| 404 | User's verified bank details not found! |
- Response (example):
{
"error": {
"statusCode": 401,
"name": "Error",
"message": "Authorization Required"
}
}